### Property

# WebKit2 Settings:enable-media

#### Declaration

    property enable-media: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable support for media playback on pages. This setting is enabled by default. Disabling it means `<audio>`, `<track>` and `<video>` elements will have playback support disabled.

Type: | `gboolean`
Available since: | 2.26

Setter method | `webkit_settings_set_enable_media()`
Getter method | `webkit_settings_get_enable_media()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no